FWText Class Reference

the main class to read the text part of writenow file More...

`#include <FWText.hxx>`

## Public Member Functions

| FWText (FWParser &parser)
| constructor More...
virtual | ~FWText ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions

void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
bool | sendMainText ()
| send a main zone More...
bool | send (int zId)
| send a id zone More...
bool | readTextData (FWStruct::EntryPtr zone)
| check if a zone is a text zone, if so read it... More...
bool | send (shared_ptr< FWTextInternal::Zone > zone)
| send the text More...
void | send (shared_ptr< FWTextInternal::Zone > zone, int numChar, FWTextInternal::Font &font, FWTextInternal::Paragraph &ruler, std::string &str)
| send a simple line More...
bool | sendTable (shared_ptr< FWTextInternal::Zone > zone, FWTextInternal::LineHeader const &lHeader, FWTextInternal::Font &font, FWTextInternal::Paragraph &ruler, std::string &str)
| try send a table row More...
bool | sendHiddenItem (int id, FWTextInternal::Font &font, FWTextInternal::Paragraph &ruler)
| send a hidden item More...
void | prepareData ()
| prepare the different data (called sortZones and createItemStructures) More...
void | sortZones ()
| sort the different zones, finding the main zone, ... More...
void | createItemStructures ()
| create the item structures More...
bool | readLineHeader (shared_ptr< FWTextInternal::Zone > zone, FWTextInternal::LineHeader &lHeader)
| try to read the header of a line More...
bool | readItem (FWStruct::EntryPtr zone, int id=-1, bool hidden=false)
| check if the input of the zone points to a item zone in DataStruct Zone More...
bool | readParagraphTabs (FWStruct::EntryPtr zone, int id=-1)
| check if the input of the zone points to a paragraph zone in DataStruct Zone More...
bool | readParaModDocInfo (FWStruct::EntryPtr zone)
| try to read the paragraph modifier (at the end of doc info) More...
bool | readStyle (FWStruct::EntryPtr zone)
| try to read a style More...
bool | readDataMod (FWStruct::EntryPtr zone, int id)
| try to read the font/paragraph modifier zone (Zone1f) More...
bool | readColumns (FWStruct::EntryPtr zone)
| check if the input of the zone points to the columns definition, ... More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< FWTextInternal::State > | m_state
| the state More...
FWParser * | m_mainParser
| the main parser; More...

## Private Member Functions

| FWText (FWText const &orig)
FWText & | operator= (FWText const &orig)

## Friends

class | FWParser

## Detailed Description

the main class to read the text part of writenow file

## Constructor & Destructor Documentation

FWText::FWText | ( | FWParser & | parser | ) |

constructor

FWText::~FWText | ( |  | ) |

virtual

destructor

FWText::FWText | ( | FWText const & | orig | ) |

private

## Member Function Documentation

void FWText::createItemStructures | ( |  | ) |

protected

create the item structures

Referenced by prepareData().

void FWText::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

int FWText::numPages | ( |  | ) | const

returns the number of pages

FWText& FWText::operator= | ( | FWText const & | orig | ) |

private

void FWText::prepareData | ( |  | ) |

inline protected

prepare the different data (called sortZones and createItemStructures)

bool FWText::readColumns | ( | FWStruct::EntryPtr | zone | ) |

protected

check if the input of the zone points to the columns definition, ...

bool FWText::readDataMod | ( | FWStruct::EntryPtr | zone,
|  | int | id
| ) |  |

protected

try to read the font/paragraph modifier zone (Zone1f)

bool FWText::readItem | ( | FWStruct::EntryPtr | zone,
|  | int | id = `-1`,
|  | bool | hidden = `false`
| ) |  |

protected

check if the input of the zone points to a item zone in DataStruct Zone

bool FWText::readLineHeader | ( | shared_ptr< FWTextInternal::Zone > | zone,
|  | FWTextInternal::LineHeader & | lHeader
| ) |  |

protected

try to read the header of a line

Referenced by send().

bool FWText::readParagraphTabs | ( | FWStruct::EntryPtr | zone,
|  | int | id = `-1`
| ) |  |

protected

check if the input of the zone points to a paragraph zone in DataStruct Zone

bool FWText::readParaModDocInfo | ( | FWStruct::EntryPtr | zone | ) |

protected

try to read the paragraph modifier (at the end of doc info)

bool FWText::readStyle | ( | FWStruct::EntryPtr | zone | ) |

protected

try to read a style

bool FWText::readTextData | ( | FWStruct::EntryPtr | zone | ) |

protected

check if a zone is a text zone, if so read it...

bool FWText::send | ( | int | zId | ) |

protected

send a id zone

Referenced by flushExtra(), send(), sendHiddenItem(), sendMainText(), and sendTable().

bool FWText::send | ( | shared_ptr< FWTextInternal::Zone > | zone | ) |

protected

send the text

void FWText::send | ( | shared_ptr< FWTextInternal::Zone > | zone,
|  | int | numChar,
|  | FWTextInternal::Font & | font,
|  | FWTextInternal::Paragraph & | ruler,
|  | std::string & | str
| ) |  |

protected

send a simple line

bool FWText::sendHiddenItem | ( | int | id,
|  | FWTextInternal::Font & | font,
|  | FWTextInternal::Paragraph & | ruler
| ) |  |

protected

send a hidden item

Referenced by send().

bool FWText::sendMainText | ( |  | ) |

protected

send a main zone

send data to the listener

bool FWText::sendTable | ( | shared_ptr< FWTextInternal::Zone > | zone,
|  | FWTextInternal::LineHeader const & | lHeader,
|  | FWTextInternal::Font & | font,
|  | FWTextInternal::Paragraph & | ruler,
|  | std::string & | str
| ) |  |

protected

try send a table row

Referenced by send().

void FWText::sortZones | ( |  | ) |

protected

sort the different zones, finding the main zone, ...

Referenced by prepareData().

int FWText::version | ( |  | ) | const

returns the file version

Referenced by readParagraphTabs(), and readTextData().

## Friends And Related Function Documentation

friend class FWParser

friend

## Member Data Documentation

FWParser* FWText::m_mainParser

protected

the main parser;

Referenced by readItem(), send(), sendMainText(), and sendTable().

MWAWParserStatePtr FWText::m_parserState

protected

the parser state

Referenced by readParagraphTabs(), send(), sendHiddenItem(), sendMainText(), sendTable(), and version().

shared_ptr<FWTextInternal::State> FWText::m_state

protected

the state

Referenced by createItemStructures(), flushExtra(), numPages(), readDataMod(), readItem(), readParagraphTabs(), readParaModDocInfo(), readTextData(), send(), sendHiddenItem(), sendMainText(), sortZones(), and version().

The documentation for this class was generated from the following files:

- FWText.hxx
- FWText.cxx